﻿<div class="page-content">
    <div class="content-block">
        <h3>
            بحث متقدم
        </h3>
        <p>يمكنك البحث عن ما تريد فى أى مكان</p>
        <div class="list-block">
            <form name="$parent.searchListForm" ng-submit="searchSubmitForm()" >
                <ul>
                    <li>
                        <a id="linkSearchCountry" href="#" data-open-in="popup" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر">
                            <select id="countryId" ng-model="searchForm.countryId" ng-change="loadCitiesInCountry(searchForm.categoryId,searchForm.countryId,searchForm.cityId,searchForm.municipalityId,searchForm.subCategoryId)">
                                <option ng-select="true" ng-disabled="true" value="">اختر دولة</option>
                                <option ng-repeat="country in countries" value="{{country.id}}">{{country.name}}</option>
                            </select>
                            <div class="item-content">
                                <div class="item-inner">
                                    <div class="item-after">
                                       
                                    </div>
                                </div>
                            </div>
                        </a>
                    </li>
                    <li ng-model="IsCityDisabled">
                        <a id="linkSearchCity" href="#" data-open-in="popup" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر" ng-model="IsCityLoaded" ng-disabled="IsCityDisabled">
                            <select id="city" ng-model="searchForm.cityId" ng-change="loadMunicipalitiesInCity(searchForm.categoryId,searchForm.countryId,searchForm.cityId,searchForm.municipalityId,searchForm.subCategoryId)">
                                 <option ng-select="true" ng-disabled="true" value="">اختر المدينة</option>
                                <option ng-repeat="city in cities" value="{{city.id}}">{{city.name}}</option>
                            </select>
                            <div ng-class="{'item-content':true,'load':IsCityLoaded}">
                                <div class="item-inner"> </div>
                            </div>
                        </a>
                    </li>
                    <li ng-model="IsMunicipalityDisabled" ng-hide="true">
                        <a id="linkSearchMunicipality" href="#" data-open-in="popup" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر" ng-model="IsMunicipalityLoaded" ng-disabled="IsMunicipalityDisabled">                          
                            <select id="district"  ng-model="searchForm.municipalityId" ng-change="refreshPlacesAfterMunicipalities(searchForm.categoryId,searchForm.countryId,searchForm.cityId,searchForm.municipalityId,searchForm.subCategoryId)">
                                  <option ng-select="true" ng-disabled="true" value="">اختر الحي</option>
                                <option ng-repeat="municipality in municipalitiesList" value="{{municipality.id}}">{{municipality.name}}</option>
                            </select>
                            <div  ng-class="{'item-content':true,'load':IsMunicipalityLoaded}">
                                <div class="item-inner"> </div>
                            </div>
                        </a>
                    </li>
                    <li>
                        <a id="linkSearchCategory" href="#" data-open-in="popup" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر">                           
                           <select id="category"  ng-model="searchForm.categoryId" ng-change="loadSubCategoriesInCategory(searchForm.categoryId,searchForm.countryId,searchForm.municipalityId,searchForm.cityId,searchForm.subCategoryId)">
                                   <option ng-select="true" ng-disabled="true" value="">اختر التصنيف</option>
                                <option ng-repeat="category in categories" value="{{category.id}}">{{category.name}}</option>
                            </select>
                            <div class="item-content">
                                <div class="item-inner"> </div>
                            </div>
                           </a>
                       </li>
                    <li ng-model="IsSubCategoryDisabled">
                        <a id="linkSearchSubCategory" href="#" data-open-in="popup" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر" ng-model="IsSubCategoryLoaded" ng-disabled="IsSubCategoryDisabled">
                            <select id="subCategory" ng-model="searchForm.subCategoryId" ng-change="refreshPlacesAfterSubCategories(searchForm.categoryId,searchForm.countryId,searchForm.municipalityId,searchForm.cityId,searchForm.subCategoryId)">
                                <option ng-select="true" ng-disabled="true" value="">اختر تصنيف فرعي</option>
                                <option ng-repeat="subCategory in subCategoriesList" value="{{subCategory.id}}">{{subCategory.name}}</option>
                            </select>
                            <div ng-class="{'item-content':true,'load':IsSubCategoryLoaded}">
                                <div class="item-inner"> </div>
                            </div>
                        </a>
                    </li>
                    <li ng-model="IsPlacesDisabled">
                        <a id="linkSearchPlace"  href="#" data-open-in="popup" data-searchbar="true" data-back-on-select="true" class="item-link smart-select" data-popup-close-text="إختر" ng-model="IsPlacesLoaded" ng-disabled="IsPlacesDisabled">                
                            <select id="place"  ng-model="searchForm.placeId">
                             <option ng-select="true" ng-disabled="true" value="">ابحث عن المكان</option>
                                <option ng-repeat="place in placesList" value="{{place.id}}">{{place.name}}</option>
                            </select>
                            <div ng-class="{'item-content':true,'load':IsPlacesLoaded}">
                                <div class="item-inner"> </div>
                            </div>
                        </a>
                    </li>
                    <li>
                        <div class="row">
                            <div class="col-80">
                                <div class="item-content">
                                    <div class="item-inner">
                                        <div class="item-input">
                                            <input id="nearBy" type="text" placeholder="بالقرب منك" ng-model="searchForm.nearBy" ng-class="load" ng-disabled="locationDisabled">
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="col-20">
                                <p class="gps"><a ng-click="getCurrentLocation()" class="button button-round purple"><i class="ion ion-android-pin"></i></a></p>
                            </div>
                        </div>
                    </li>
                </ul>
                <div>
                    <button type="submit" ng-click="searchSubmitted=true" class="button button-round purple">بحث</button>
                </div>
                <div>
                    <a href="#home" class="button button-round purple">الرجوع للرئيسية</a>
                </div>
            </form>
        </div>
    </div>
</div>